pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: evolution-data-server lossage with HEAD

On Thu, 20 Sep 2012 21:59:34 +0900, Greg Troxel <> 

"OBATA Akio" <> writes:

On Wed, 19 Sep 2012 23:29:54 +0900, Greg Troxel <> 

evolution-data-server failed to build, and it looks like the new
evolution-data-server is not compatible with the combination of old ical
and new glib (but it's hard to tell).
Does this build for anyone else?

For libxml2-2.9.0 API changes, it should be fixed.

Thanks for fixing; evolution-data-server now builds for me.  (But I've
disabled the option, so I don't need it.)

I hit same build error on mail/evolution (maybe also for other packages),
but it will be fixed with same way.

Do you believe that pkgsrc users are better served by having
evolution-data-server as a gnome dependency and installed on every gnome
system?  The tradeoff is the fraction of gnome users that get a benefit
vs the amount of difficulty/bloat from having a nonuseful dependency.

I only use very limited parts of gnome, and surely am not
representative.  It seems evolution-data-server is about more than
evolution, but I'm not sure how much it matters to the average
non-evolution-using user.

Just my own strategy, do as suggestion of upstream.

OBATA Akio /

Home | Main Index | Thread Index | Old Index